searchData={"items":[{"type":"module","title":"PagedFile","doc":"[PagedFile](https://github.com/dominicletz/paged_file) provides fast\nreads and writes by using multiple buffers of `page_size`. This makes\nmany `:pread`/`:pwrite` calls faster. Especially useful for read-modify-write\nuse cases.\n\n# Example\n\n```\n{:ok, fp} = PagedFile.open(\"test_file\")\n:ok = PagedFile.pwrite(fp, 10, \"hello\")\n{:ok, \"hello\"} = PagedFile.pread(fp, 10, 5)\n:ok = PagedFile.close(fp)\n```","ref":"PagedFile.html"},{"type":"function","title":"PagedFile.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"PagedFile.html#child_spec/1"},{"type":"function","title":"PagedFile.close/1","doc":"Writes all pending changes to disk and closes the file.","ref":"PagedFile.html#close/1"},{"type":"function","title":"PagedFile.delete/1","doc":"Deletes the given file. Same as `:file.delete(filename)`","ref":"PagedFile.html#delete/1"},{"type":"function","title":"PagedFile.open/2","doc":"Opens file File. Files are always opened for `:read` and `:write` and in `:binary` mode.\nThe underlying usage of pages and memory can be controlled with the following options:any()\n\n- `page_size` - The default page size of loading disk data into memory and writing it back again.\n- `max_pages` - The maximum number of pages that should be kept in memory.\n- `priority` - The process priority of the PagedReader.","ref":"PagedFile.html#open/2"},{"type":"function","title":"PagedFile.pread/2","doc":"Performs a sequence of `pread/3` in one operation, which is more efficient than\ncalling them one at a time. Returns `{ok, [Data, ...]}`,\nwhere each Data, the result of the corresponding pread, is a binary or `:eof`\nif the requested position is beyond end of file.","ref":"PagedFile.html#pread/2"},{"type":"function","title":"PagedFile.pread/3","doc":"Executes are of `num` bytes at the position `loc`.","ref":"PagedFile.html#pread/3"},{"type":"function","title":"PagedFile.pwrite/2","doc":"Performs a sequence of `pwrite/3` in one operation, which is more efficient\nthan calling them one at a time. Returns `:ok`.","ref":"PagedFile.html#pwrite/2"},{"type":"function","title":"PagedFile.pwrite/3","doc":"Writes `data` to the position `loc` in the file. This is call is executed\nasynchrounosly and the file size is extended if needed to complete this call.","ref":"PagedFile.html#pwrite/3"},{"type":"function","title":"PagedFile.size/1","doc":"Returns the current file size","ref":"PagedFile.html#size/1"},{"type":"function","title":"PagedFile.sync/1","doc":"Ensures that any all pages that have changes are written to disk.","ref":"PagedFile.html#sync/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}